Subject: From: AIList Moderator Kenneth Laws <AIList-REQUEST@SRI-AI>

From: [email-masked]
Date: Thu, 27 Jun 85 03:21:57 edt

Received: from sri-ai.arpa by csnet-relay.arpa id a003734; 26 Jun 85 2:06 EDT
Date: Tue 25 Jun 1985 22:22-PDT
Reply-to: AIList@SRI-AI
US-Mail: SRI Int., 333 Ravenswood Ave., Menlo Park, CA  94025
Phone: (415) 859-6467
Subject: AIList Digest   V3 #83
To: AIList@SRI-AI
Received: from rand-relay by vpi; Thu, 27 Jun 85 04:43 EST

AIList Digest           Wednesday, 26 Jun 1985     Volume 3 : Issue 83

Today's Topics:
  Queries - Lisps for VAX,
  Book - Logic Programming Text,
  Seminars - A Situational Theory of Analogy (CSLI) &
    Implementing Dempster's Rule (SU),
  Conference - 2nd ACM N.E. Regional Conference

----------------------------------------------------------------------

Date: Tue, 25 Jun 85 06:51:42 EDT
From: cugini@NBS-VMS
Subject: Lisps for VAX

Does anyone have recommendations for incarnations of Lisp to run
under VAX/VMS, especially ones with features for object-oriented
programming?  Is there something called XLISP which fits this
description, and if so, where does it live?  Thanks for any help.

John Cugini <Cugini@NBS-VMS>
Institute for Computer Sciences and Technology
National Bureau of Standards
Bldg 225 Room A-265
Gaithersburg, MD 20899
phone: (301) 921-2431

------------------------------

Date: Tue, 25 Jun 85 09:02:59 mdt
From: [email-masked] (C.I. Browne)
Subject: Common Lisp on VAX/UNIX (Query)

We would be most grateful for pointers to a source of Common Lisp
for a VAX 11/780 running under UNIX 4.2bsd.

Thank you.

cib
cib@lanl
[email-masked]

------------------------------

Date: 22 Jun 85  1842 PDT
From: Yoni Malachi <[email-masked]>
Subject: Logic Programming Text

  [Excerpted from the Prolog Digest by Laws@SRI-AI.  The original
  contained a lengthy abstract for each section of the book; to get a
  copy, FTP file <ailist>logicprog.txt on SRI-AI, or write to me at
  [email-masked].  -- KIL]

      LOGIC PROGRAMMING: RELATIONS, FUNCTIONS, AND EQUATIONS

                           Doug DeGroot
                          Gary Lindstrom
                             Editors

                       Prentice-Hall, Inc.
                  Publication date:  Summer 1985

                          June 14, 1985

1. Concept

  This book addresses the topical and rapidly developing
areas of logic, functional, and equational programming, with
special emphasis on their relationships and prospects for
fruitful amalgamation.  A distinguished set of researchers
have contributed fourteen articles addressing this field
from a wide variety of perspectives.  The book will be
approximately 500 pages, published in hard cover form, with
foreword by the editors and combined index.

2. Table of Contents

2.1. Setting the Stage

 - Uday Reddy:  On the Relationship between Logic and
   Functional Languages (34 pp.).

- J. Darlington, A.J. Field, and H. Pull: The Unification
  of Functional and Logic Languages (34 pp.).

2.2. Unification and Functional Programming

 - Harvey Abramson: A Prological Definition of HASL, a
    Purely Functional Language with Unification Based
    Conditional Binding Expressions (57 pp.).

 - M. Sato and T.  Sakurai:  QUTE:  a Functional Language
   Based on Unification (24 pp.).

 - P.A. Subrahmanyam and J.-H.  You:  FUNLOG:  a
   Computational Model Integrating Logic Programming and
   Functional Programming (42 pp.).

2.3. Symmetric Combinations

 - R. Barbuti, M. Bellia, G. Levi, and M.  Martelli:
   LEAF:  a Language which Integrates Logic, Equations and
   Functions (33 pp.).

 - Shimon Cohen: The APPLOG Language (38 pp.).

2.4. Programming with Equality

 - Wm. Kornfeld: Equality for Prolog (15 pp.).

 - Joseph Goguen and Jose Meseguer: EQLOG:  Equality,
   Types, and Generic Modules for Logic Programming (69 pp).

 - Y.  Malachi, Z.  Manna and R. Waldinger: TABLOG: a New
   Approach to Logic Programming (30 pp.).

2.5. Augmented Unification

 - Robert G.  Bandes (deceased):  Constraining-Unification
   and the Programming Language Unicorn (14 pp.).

 - Ken Kahn: Uniform -- A Language Based upon Unification
   which Unfies (much of) Lisp, Prolog, and Act 1 (28 pp.).

2.6. Semantic Foundations

 - Joxan Jaffar, Jean-Louis Lassez and Michael J.  Maher:
   A Logic Programming Language Scheme (27 pp.).

 - Gert Smolka: Fresh: A Higher-Order Language with
   Unification and Multiple Results (56 pp.).

------------------------------

Date: Mon 24 Jun 85 16:03:14-PDT
From: Emma Pease <[email-masked]>
Reply-to: davies@csli
Subject: Seminar - A Situational Theory of Analogy (CSLI)

                     "A Situational Theory of Analogy"

                               Todd Davies
                       Conference Room, Ventura Hall
                         CSLI, Stanford University
                           Monday, July 1, 1985
                                1:15 p.m.

Analogy in logic is generally given the form:

                P(A)&Q(A)
        and     P(B)       are premises
                ---------
  therefore     Q(B)       can be concluded,

where P is a property or set of properties held by the analogous
situation A in common with the present situation B, and where Q is a
property which is initially held to be true of A.  The question is:
What justifies the conclusion?  Sometimes the conclusion is clearly
bogus, but for other pairs of situations and properties it seems quite
plausible. I will give examples of both intuitively good and
intuitively bad analogies as a way to argue that theories of analogy
hitherto proposed are inadequate, and that the rationale for analogy
which has been assumed for most early work on analogy in AI -- namely,
that the inference is good if and only if the situations being
compared are similar enough -- is based on a mistake.  I will also
point to traditional logic's inadequacies as a formal language for
analogy and develop a theory which incorporates ideas from (and finds
its easiest expression in) the theory of situations of Barwise and
Perry.  The theory suggests a general means by which computers can
infer conclusions about problems which have analogues for which the
solution is known, when failing to inspect the analogue would make
such an inference impossible.

------------------------------

Date: Mon 24 Jun 85 15:16:42-PDT
From: Alison Grant <[email-masked]>
Subject: Seminar - Implementing Dempster's Rule (SU)

              SPECIAL MEDICAL INFORMATION SCIENCES COLLOQUIUM
                          Tuesday, June 25, 1985
                              3:00 - 4:00 P.M.
               Room M-112, Stanford University Medical Center

Speaker: Professor Glenn Shafer
         University of Kansas

Title:  IMPLEMENTING DEMPSTER'S RULE FOR HIERARCHICAL EVIDENCE

Abstract:    Gordon and Shortliffe have asked whether the computational
complexity of Dempster's rule makes it impossible to combine belief
functions based on evidence for and against hypotheses that can be arranged
in a hierarchical or tree-like structure.  In this talk I show that the
special features of hierarchical evidence make it possible to compute
Dempster's rule in linear time.  The actual computations are quite
straightforward, but they depend on a delicate understanding of the
interactions of evidence.

------------------------------

Date: Mon, 24 Jun 85 10:29:34 edt
From: Alan Gunderson <[email-masked]>
Subject: Call For Papers-2nd ACM N.E. Reg. Conf. -- AI Track

                            CALL FOR PAPERS

            SECOND ANNUAL ACM NORTHEAST REGIONAL CONFERENCE
                 Integrating the Information Workplace:
                        the Key to Productivity

                           28-30 October 1985

                          Sheraton-Tara Hotel
                           Framingham, Mass.
                                  and
                          The Computer Museum
                             Boston, Mass.

The conference sessions  are grouped into tracks corresponding to major
areas of interest in the computer field.   Papers are solicited for the
Conference's Artificial Intelligence Track.   The Track's  program will
emphasize "real world" approaches and applications of A. I.

                    Topics of interest include:

                       - Expert Systems
                       - Natural Language
                       - Man-Machine Interface
                       - Tools/Environments
                       - A. I. Hardware
                       - Robotics and Vision

                  Submit papers by: July 22, 1985

             Please send three copies of your paper to:

                     Dr. David S. Prerau
                     Track Chairman
                     Artificial Intelligence Track
                     ACM Northeast Regional Conference
                     GTE Laboratories Inc.
                     40 Sylvan Road
                     Waltham MA 02254

        For additional information on the Conference, write:

                     ACM Northeast Regional Conference
                     P.O. Box 499
                     Sharon MA 02067

------------------------------

End of AIList Digest
********************